Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# ModelLoadRequest Class Reference

A class object that manages a single asynchronous model load request. More...

Inheritance diagram for ModelLoadRequest:

List of all members.

## Public Member Functions
| ModelLoadRequest (string name, Filename const filename, LoaderOptions const options, PandaLoader loader)
| Create a new ModelLoadRequest, and add it to the loader via load_async(), to begin an asynchronous load.
Filename const | getFilename ()
| Returns the filename associated with this asynchronous ModelLoadRequest.
PandaLoader | getLoader ()
| Returns the Loader object associated with this asynchronous ModelLoadRequest.
PandaNode | getModel ()
| Returns the model that was loaded asynchronously, if any, or NULL if there was an error.
LoaderOptions const | getOptions ()
| Returns the LoaderOptions associated with this asynchronous ModelLoadRequest.
bool | isReady ()
| Returns true if this request has completed, false if it is still pending.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A class object that manages a single asynchronous model load request.

Create a new ModelLoadRequest, and add it to the loader via load_async(), to begin an asynchronous load.

## Constructor & Destructor Documentation

ModelLoadRequest | ( | string | name,
|  | Filename const | filename,
|  | LoaderOptions const | options,
|  | PandaLoader | loader
| ) |  |

Create a new ModelLoadRequest, and add it to the loader via load_async(), to begin an asynchronous load.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AsyncTask.

Reimplemented in BindAnimRequest.

Filename const getFilename | ( |  | ) |

Returns the filename associated with this asynchronous ModelLoadRequest.

PandaLoader getLoader | ( |  | ) |

Returns the Loader object associated with this asynchronous ModelLoadRequest.

PandaNode getModel | ( |  | ) |

Returns the model that was loaded asynchronously, if any, or NULL if there was an error.

It is an error to call this unless is_ready() returns true.

LoaderOptions const getOptions | ( |  | ) |

Returns the LoaderOptions associated with this asynchronous ModelLoadRequest.

bool isReady | ( |  | ) |

Returns true if this request has completed, false if it is still pending.

When this returns true, you may retrieve the model loaded by calling get_model().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties